# GNUPLOT 5.0 script for plotting time-frequency analysis output. Optimized for
# postscript output.
#
# 11.7.04
#
pr = 0
if (pr == 1) set encod; \
             set term postscript portrait enhanced "Helvetica" 12; \
             set output 'c:/tmp/a.ps'
if (pr == 2) set encod; \
             set term postscript portrait enhanced color solid "Helvetica" 12; \
             set output 'c:/tmp/a.ps'

set nokey
set lmargin 1

# global settings
# ---------------
cd 'C:\msdata\src\f90\prg\timeser\timefrq\release'
set xr [0:2000]
set format y "%3.2f"

# plot time series at bottom (adapt width to fit top plot)
# --------------------------------------------------------
set multiplot
set size 0.76, 0.2
set origin 0.12, 0.48
set yr[-1:1]
set xlabel "Age [ky]"
set ylabel "Amplitude"

plot '100k_jmp.dat' w l

# plot time-frequency data at top
# -------------------------------
set pm3d map


if (pr == 0) set palette rgbformulae   35,13,10 # rainbow (blue-green-yellow-red)
if (pr == 1) set palette gray negative
if (pr == 2) set palette rgbformulae   35,13,10 # rainbow (blue-green-yellow-red)
             #set palette rgbformulae  7,5,15   # traditional pm3d (black-blue-red-yellow);\

set size 1, 0.4
set origin 0,0.6
set title "{/=15 TIMEFRQ Test}"

set xlabel " "
set noxtics
set ylabel "Frequency [1/ky]" offset -2,0
set yr[0.:0.02]
set ytics 0,0.01,0.02
set mytics 5

set colorbox vertical
set cblabel "Amplitude"
set cbr[0:1.2]
set cbtics 0,0.4,1.2

splot '100k_jmp.tf'  u 1:2:3

set nomultiplot
